import os
from setuptools import find_packages, setup
import setuptools
from platform import platform

requires_windows = [
    'selenium',
    'bs4',
    'requests',
    'html5lib',
    'openpyxl',
    'webdriver-manager',
    'fake_useragent',
    'requests',
    'pretty_html_table',
    'pywin32',
    'packaging',
    'PySimpleGUI',
    'PyInstaller',
    'pywin32-ctypes',
    'macholib',
    'wget',
    'winotify'
]

requires_linux = [
    'selenium',
    'bs4',
    'requests',
    'html5lib',
    'openpyxl',
    'webdriver-manager',
    'fake_useragent',
    'requests',
    'pretty_html_table',
    'packaging',
    'PySimpleGUI',
    'wget',
    'winotify',
]

packages_windows = [
    r'FuncsForSPO\femails',
    r'FuncsForSPO\fexceptions',
    r'FuncsForSPO\fftp',
    r'FuncsForSPO\focr',
    r'FuncsForSPO\fopenpyxl',
    r'FuncsForSPO\fpysimplegui',
    r'FuncsForSPO\fpython',
    r'FuncsForSPO\fpython',
    r'FuncsForSPO\fpython',
    r'FuncsForSPO\fselenium',
    r'FuncsForSPO\fsqlite',
    r'FuncsForSPO\fwinotify',
]

packages_linux = [
    'FuncsForSPO/femails',
    'FuncsForSPO/fexceptions',
    'FuncsForSPO/fftp',
    'FuncsForSPO/focr',
    'FuncsForSPO/fopenpyxl',
    'FuncsForSPO/fpysimplegui',
    'FuncsForSPO/fpython',
    'FuncsForSPO/fpython',
    'FuncsForSPO/fpython',
    'FuncsForSPO/fselenium',
    'FuncsForSPO/fsqlite',
    'FuncsForSPO/fwinotify',
]

with open("README.md", "r", encoding='utf-8') as fh:
    readme = fh.read()
if 'windows' in platform().lower():
    setup(
        name='FuncsForSPO',
        version='0.0.4.9.9.3',
        url='https://github.com/githubpaycon/FuncsForSPO',
        license='MIT License',
        author='Gabriel Lopes de Souza',
        long_description=readme,
        long_description_content_type="text/markdown",
        author_email='githubpaycon@gmail.com',
        keywords='Funções Para Melhorar Desenvolvimento de Robôs com Selenium',
        description=u'Funções Para Melhorar Desenvolvimento de Robôs com Selenium',
        
        packages=[*packages_windows],
        
        install_requires=[*requires_windows],
        )
else:
    setup(
        name='FuncsForSPO',
        version='0.0.4.9.9.2',
        url='https://github.com/githubpaycon/FuncsForSPO',
        license='MIT License',
        author='Gabriel Lopes de Souza',
        long_description=readme,
        long_description_content_type="text/markdown",
        author_email='githubpaycon@gmail.com',
        keywords='Funções Para Melhorar Desenvolvimento de Robôs com Selenium',
        description=u'Funções Para Melhorar Desenvolvimento de Robôs com Selenium',
        
        packages=[*packages_linux],
        
        install_requires=[*requires_linux],
        )